%define upstream_name    Selenium-Remote-Driver
%define upstream_version 0.27

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Representation of an HTML Element used by Selenium Remote Driver
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Selenium/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Archive::Extract)
BuildRequires: perl(Archive::Zip)
BuildRequires: perl(Carp)
BuildRequires: perl(Cwd)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Copy)
BuildRequires: perl(File::Temp)
BuildRequires: perl(File::Which)
BuildRequires: perl(File::stat)
BuildRequires: perl(HTTP::Headers)
BuildRequires: perl(HTTP::Request)
BuildRequires: perl(IO::Compress::Zip)
BuildRequires: perl(IO::Socket)
BuildRequires: perl(IO::String)
BuildRequires: perl(JSON)
BuildRequires: perl(LWP::Protocol::PSGI) >= 0.40.0
BuildRequires: perl(LWP::Simple)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(MIME::Base64)
BuildRequires: perl(Moo)
BuildRequires: perl(Moo::Role)
BuildRequires: perl(Net::Ping)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Sub::Install)
BuildRequires: perl(Test::Builder)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::LWP::UserAgent)
BuildRequires: perl(Test::LongString)
BuildRequires: perl(Test::MockObject)
BuildRequires: perl(Test::MockObject::Extends)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Tester)
BuildRequires: perl(Test::Time)
BuildRequires: perl(Test::Warn)
BuildRequires: perl(Time::Mock)
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(XML::Simple)
BuildRequires: perl(base)
BuildRequires: perl(constant)
BuildRequires: perl(namespace::clean)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)

BuildArch: noarch

%description
Selenium is a test tool that allows you to write automated web application
UI tests in any programming language against any HTTP website using any
mainstream JavaScript-enabled browser. This module is an implementation of
the client for the Remote driver that Selenium provides. You can find
bindings for other languages at this location:

the http://code.google.com/p/selenium/ manpage

This module sends commands directly to the Server using HTTP. Using this
module together with the Selenium Server, you can automatically control any
supported browser. To use this module, you need to have already downloaded
and started the Selenium Server (Selenium Server is a Java application).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml TAGS
%{_mandir}/man3/*
%{perl_vendorlib}/*
%exclude %{perl_vendorlib}/Selenium/Firefox/*/*.so


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.270.0-3.mga6
+ Revision: 1033026
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.270.0-2.mga6
+ Revision: 969644
- Mageia 6 Mass Rebuild

* Sun Sep 06 2015 sander85 <sander85> 0.270.0-1.mga6
+ Revision: 873618
- update to 0.27

* Sun Jul 05 2015 sander85 <sander85> 0.260.0-2.mga6
+ Revision: 851163
- We don't want binary files from upstream

* Sun Jul 05 2015 sander85 <sander85> 0.260.0-1.mga6
+ Revision: 850859
- update to 0.26

* Wed Oct 15 2014 umeabot <umeabot> 0.210.200-3.mga5
+ Revision: 742043
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.210.200-2.mga5
+ Revision: 686185
- Mageia 5 Mass Rebuild

* Fri Jul 25 2014 sander85 <sander85> 0.210.200-1.mga5
+ Revision: 656446
- update to 0.2102

* Thu Jul 17 2014 sander85 <sander85> 0.210.100-1.mga5
+ Revision: 653389
- update to 0.2101

* Thu Jul 03 2014 sander85 <sander85> 0.200.200-1.mga5
+ Revision: 642724
- update to 0.2002

* Fri Jun 27 2014 jquelin <jquelin> 0.200.100-1.mga5
+ Revision: 640237
- update to 0.2001

* Sat May 17 2014 sander85 <sander85> 0.200.0-1.mga5
+ Revision: 623377
- update to 0.20

* Tue Apr 15 2014 jquelin <jquelin> 0.180.100-1.mga5
+ Revision: 614971
- update to 0.1801

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.150.0-2.mga3
+ Revision: 372566
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 05 2012 jquelin <jquelin> 0.150.0-1.mga3
+ Revision: 255417
- update to 0.15

* Mon Mar 05 2012 jquelin <jquelin> 0.140.0-1.mga2
+ Revision: 218800
- update to 0.14

* Fri Oct 07 2011 jquelin <jquelin> 0.120.0-1.mga2
+ Revision: 152753
- imported package perl-Selenium-Remote-Driver


* Fri Oct 07 2011 cpan2dist 0.12-1mga
- initial mageia release, generated with cpan2dist
